function Ax_FFT = ddx2_spec(K1, A)
% DDX2_SPEC  partially differentiates matrix A in x with spectral method.
% Inputs: 
%       K1: [m, n] double, x-wavenumbers of A
%       A: [m, n] double, matrix to be differentiated
% Outputs:
%       Ax_FFT: partial derivative of A in x


a = fftshift(fft2(A));
Ax_FFT = real(ifft2(ifftshift((2*pi*1i).*K1.*a)));

end