function Ay_FFT = ddy2_spec(K2, A)
% DDY2_SPEC  partially differentiates matrix A in y with spectral method.
% Inputs: 
%       K2: [m, n] double, y-wavenumbers of A
%       A: [m, n] double, matrix to be differentiated
% Outputs:
%       Ay_FFT: partial derivative of A in y

a = fftshift(fft2(A));
Ay_FFT = real(ifft2(ifftshift((2*pi*1i).*K2.*a)));

end